import java.util.Iterator;

public class Class567 {

   public String aString7511;
   public int anInt7512 = -1590492281;
   public int anInt7513 = -1795574619;
   public boolean aBool7514 = true;
   public String aString7515;
   public int anInt7516 = -1780096705;
   public int anInt7517 = 321257383;
   public int anInt7518 = 0;
   public static final int anInt7519 = 0;
   public static final int anInt7520 = 1;
   public static final int anInt7521 = 2;
   public int anInt7522;
   public int[] anIntArray7523;
   public boolean aBool7524 = true;
   public boolean aBool7525 = false;
   int anInt7526;
   public String[] aStringArray7527 = new String[5];
   public int[] anIntArray7528;
   int anInt7529 = -294026663;
   int anInt7530;
   int anInt7531;
   public int anInt7532;
   int anInt7533 = 1616611703;
   int anInt7534;
   int anInt7535 = 379257791;
   int anInt7536 = 655828667;
   int anInt7537 = 2138293891;
   public boolean aBool7538 = true;
   public byte[] aByteArray7539;
   public int anInt7540 = -755110479;
   public int anInt7541 = Integer.MIN_VALUE;
   public int anInt7542;
   public int anInt7543;
   public int anInt7544 = -724912301;
   public int anInt7545 = 742650789;
   public int anInt7546;
   public int anInt7547;
   public int anInt7548;
   public int anInt7549 = 1127713581;
   public int anInt7550 = Integer.MIN_VALUE;
   Class555 aClass555_7551;
   public int anInt7552 = -1292385815;
   Class423 aClass423_7553;


   void method12023(RS2Buffer var1, int var2) {
      if(var2 == 1) {
         this.anInt7513 = var1.readLargeSmart(1674223039) * 1795574619;
      } else if(var2 == 2) {
         this.anInt7516 = var1.readLargeSmart(1878942546) * 1780096705;
      } else if(var2 == 3) {
         this.aString7515 = var1.readString((byte)-59);
      } else if(4 == var2) {
         this.anInt7546 = var1.readTriByte(-1671814530) * 420717259;
      } else if(5 == var2) {
         this.anInt7517 = var1.readTriByte(-1995218712) * -321257383;
      } else if(6 == var2) {
         this.anInt7518 = var1.readUnsignedByte(-700559597) * -1034975037;
      } else {
         int var3;
         if(var2 == 7) {
            var3 = var1.readUnsignedByte(-700559597);
            if(0 == (var3 & 1)) {
               this.aBool7524 = false;
            }

            if(2 == (var3 & 2)) {
               this.aBool7525 = true;
            }
         } else if(var2 == 8) {
            this.aBool7514 = var1.readUnsignedByte(-700559597) == 1;
         } else if(var2 == 9) {
            this.anInt7535 = var1.readUnsignedShort(-937710807) * -379257791;
            if('\uffff' == 1726288833 * this.anInt7535) {
               this.anInt7535 = 379257791;
            }

            this.anInt7533 = var1.readUnsignedShort(-937710807) * -1616611703;
            if(243130297 * this.anInt7533 == '\uffff') {
               this.anInt7533 = 1616611703;
            }

            this.anInt7530 = var1.readInt_(1661151792) * 1847717795;
            this.anInt7531 = var1.readInt_(-97299444) * 1650630579;
         } else if(var2 >= 10 && var2 <= 14) {
            this.aStringArray7527[var2 - 10] = var1.readString((byte)76);
         } else {
            int var4;
            if(15 == var2) {
               var3 = var1.readUnsignedByte(-700559597);
               this.anIntArray7523 = new int[var3 * 2];

               for(var4 = 0; var4 < 2 * var3; ++var4) {
                  this.anIntArray7523[var4] = var1.method13732(1542604086);
               }

               this.anInt7543 = var1.readInt_(687742988) * 113570623;
               var4 = var1.readUnsignedByte(-700559597);
               this.anIntArray7528 = new int[var4];

               int var5;
               for(var5 = 0; var5 < this.anIntArray7528.length; ++var5) {
                  this.anIntArray7528[var5] = var1.readInt_(-432696946);
               }

               this.aByteArray7539 = new byte[var3];

               for(var5 = 0; var5 < var3; ++var5) {
                  this.aByteArray7539[var5] = var1.readByte(403595298);
               }
            } else if(var2 == 16) {
               this.aBool7538 = false;
            } else if(17 == var2) {
               this.aString7511 = var1.readString((byte)-31);
            } else if(18 == var2) {
               this.anInt7529 = var1.readLargeSmart(1742915515) * 294026663;
            } else if(var2 == 19) {
               this.anInt7552 = var1.readUnsignedShort(-937710807) * 1292385815;
            } else if(var2 == 20) {
               this.anInt7536 = var1.readUnsignedShort(-937710807) * -655828667;
               if(this.anInt7536 * 1498665357 == '\uffff') {
                  this.anInt7536 = 655828667;
               }

               this.anInt7537 = var1.readUnsignedShort(-937710807) * -2138293891;
               if(1450493909 * this.anInt7537 == '\uffff') {
                  this.anInt7537 = 2138293891;
               }

               this.anInt7534 = var1.readInt_(-2095971832) * -1166754881;
               this.anInt7526 = var1.readInt_(-1566607718) * -2023689745;
            } else if(21 == var2) {
               this.anInt7532 = var1.readInt_(797959494) * -1929466451;
            } else if(22 == var2) {
               this.anInt7522 = var1.readInt_(-261781169) * -1371658763;
            } else if(23 == var2) {
               this.anInt7544 = var1.readUnsignedByte(-700559597) * 724912301;
               this.anInt7545 = var1.readUnsignedByte(-700559597) * -742650789;
               this.anInt7549 = var1.readUnsignedByte(-700559597) * -1127713581;
            } else if(24 == var2) {
               this.anInt7547 = var1.method13732(967377063) * -1481588197;
               this.anInt7548 = var1.method13732(-828131412) * 560775575;
            } else if(249 == var2) {
               var3 = var1.readUnsignedByte(-700559597);
               if(this.aClass423_7553 == null) {
                  var4 = Class468.method7880(var3, (byte)-66);
                  this.aClass423_7553 = new Class423(var4);
               }

               for(var4 = 0; var4 < var3; ++var4) {
                  boolean var8 = var1.readUnsignedByte(-700559597) == 1;
                  int var6 = var1.readTriByte(382518969);
                  Object var7;
                  if(var8) {
                     var7 = new ObjectVar(var1.readString((byte)-60));
                  } else {
                     var7 = new IntVar(var1.readInt_(-1744423813));
                  }

                  this.aClass423_7553.method7206((Class225)var7, (long)var6);
               }
            }
         }
      }

   }

   void method12024(RS2Buffer var1, int var2) {
      while(true) {
         int var3 = var1.readUnsignedByte(-700559597);
         if(0 == var3) {
            return;
         }

         this.method12025(var1, var3, 256993460);
      }
   }

   void method12025(RS2Buffer var1, int var2, int var3) {
      if(var2 == 1) {
         this.anInt7513 = var1.readLargeSmart(1963714570) * 1795574619;
      } else if(var2 == 2) {
         this.anInt7516 = var1.readLargeSmart(1816719658) * 1780096705;
      } else if(var2 == 3) {
         this.aString7515 = var1.readString((byte)42);
      } else if(4 == var2) {
         this.anInt7546 = var1.readTriByte(-1143266580) * 420717259;
      } else if(5 == var2) {
         this.anInt7517 = var1.readTriByte(-573842575) * -321257383;
      } else if(6 == var2) {
         this.anInt7518 = var1.readUnsignedByte(-700559597) * -1034975037;
      } else {
         int var4;
         if(var2 == 7) {
            var4 = var1.readUnsignedByte(-700559597);
            if(0 == (var4 & 1)) {
               this.aBool7524 = false;
            }

            if(2 == (var4 & 2)) {
               this.aBool7525 = true;
            }
         } else if(var2 == 8) {
            this.aBool7514 = var1.readUnsignedByte(-700559597) == 1;
         } else if(var2 == 9) {
            this.anInt7535 = var1.readUnsignedShort(-937710807) * -379257791;
            if('\uffff' == 1726288833 * this.anInt7535) {
               this.anInt7535 = 379257791;
            }

            this.anInt7533 = var1.readUnsignedShort(-937710807) * -1616611703;
            if(243130297 * this.anInt7533 == '\uffff') {
               this.anInt7533 = 1616611703;
            }

            this.anInt7530 = var1.readInt_(1219834989) * 1847717795;
            this.anInt7531 = var1.readInt_(664851769) * 1650630579;
         } else if(var2 >= 10 && var2 <= 14) {
            this.aStringArray7527[var2 - 10] = var1.readString((byte)24);
         } else {
            int var5;
            if(15 == var2) {
               var4 = var1.readUnsignedByte(-700559597);
               this.anIntArray7523 = new int[var4 * 2];

               for(var5 = 0; var5 < 2 * var4; ++var5) {
                  this.anIntArray7523[var5] = var1.method13732(-590248587);
               }

               this.anInt7543 = var1.readInt_(-954848449) * 113570623;
               var5 = var1.readUnsignedByte(-700559597);
               this.anIntArray7528 = new int[var5];

               int var6;
               for(var6 = 0; var6 < this.anIntArray7528.length; ++var6) {
                  this.anIntArray7528[var6] = var1.readInt_(1019216047);
               }

               this.aByteArray7539 = new byte[var4];

               for(var6 = 0; var6 < var4; ++var6) {
                  this.aByteArray7539[var6] = var1.readByte(1420192582);
               }
            } else if(var2 == 16) {
               this.aBool7538 = false;
            } else if(17 == var2) {
               this.aString7511 = var1.readString((byte)-54);
            } else if(18 == var2) {
               this.anInt7529 = var1.readLargeSmart(1910733200) * 294026663;
            } else if(var2 == 19) {
               this.anInt7552 = var1.readUnsignedShort(-937710807) * 1292385815;
            } else if(var2 == 20) {
               this.anInt7536 = var1.readUnsignedShort(-937710807) * -655828667;
               if(this.anInt7536 * 1498665357 == '\uffff') {
                  this.anInt7536 = 655828667;
               }

               this.anInt7537 = var1.readUnsignedShort(-937710807) * -2138293891;
               if(1450493909 * this.anInt7537 == '\uffff') {
                  this.anInt7537 = 2138293891;
               }

               this.anInt7534 = var1.readInt_(-893735009) * -1166754881;
               this.anInt7526 = var1.readInt_(-1950756263) * -2023689745;
            } else if(21 == var2) {
               this.anInt7532 = var1.readInt_(1345579604) * -1929466451;
            } else if(22 == var2) {
               this.anInt7522 = var1.readInt_(-2091501858) * -1371658763;
            } else if(23 == var2) {
               this.anInt7544 = var1.readUnsignedByte(-700559597) * 724912301;
               this.anInt7545 = var1.readUnsignedByte(-700559597) * -742650789;
               this.anInt7549 = var1.readUnsignedByte(-700559597) * -1127713581;
            } else if(24 == var2) {
               this.anInt7547 = var1.method13732(1063751940) * -1481588197;
               this.anInt7548 = var1.method13732(102269846) * 560775575;
            } else if(249 == var2) {
               var4 = var1.readUnsignedByte(-700559597);
               if(this.aClass423_7553 == null) {
                  var5 = Class468.method7880(var4, (byte)-75);
                  this.aClass423_7553 = new Class423(var5);
               }

               for(var5 = 0; var5 < var4; ++var5) {
                  boolean var9 = var1.readUnsignedByte(-700559597) == 1;
                  int var7 = var1.readTriByte(-90007826);
                  Object var8;
                  if(var9) {
                     var8 = new ObjectVar(var1.readString((byte)22));
                  } else {
                     var8 = new IntVar(var1.readInt_(877000459));
                  }

                  this.aClass423_7553.method7206((Class225)var8, (long)var7);
               }
            }
         }
      }

   }

   void method12026(int var1) {
      if(this.anIntArray7523 != null) {
         for(int var2 = 0; var2 < this.anIntArray7523.length; var2 += 2) {
            if(this.anIntArray7523[var2] < this.anInt7512 * 1643163081) {
               this.anInt7512 = -556991367 * this.anIntArray7523[var2];
            } else if(this.anIntArray7523[var2] > 1153774845 * this.anInt7541) {
               this.anInt7541 = 1972078677 * this.anIntArray7523[var2];
            }

            if(this.anIntArray7523[var2 + 1] < this.anInt7540 * -1306540881) {
               this.anInt7540 = -1392373169 * this.anIntArray7523[1 + var2];
            } else if(this.anIntArray7523[1 + var2] > 447653981 * this.anInt7550) {
               this.anInt7550 = this.anIntArray7523[var2 + 1] * 1623354357;
            }
         }
      }

   }

   public boolean method12027(Interface13 var1, Interface12 var2, int var3) {
      int var5;
      if(-1 != this.anInt7533 * 243130297) {
         Class169 var4 = var1.method53(Class251.aClass251_2983, this.anInt7533 * 243130297, (byte)-70);
         var5 = var2.method50(var4, 1537256029);
      } else {
         if(-1 == this.anInt7535 * 1726288833) {
            return true;
         }

         Class295 var7 = var1.method52(1726288833 * this.anInt7535, 1778987831);
         var5 = var2.method49(var7, (byte)-16);
      }

      if(var5 >= this.anInt7530 * -769278965 && var5 <= -1106040965 * this.anInt7531) {
         boolean var8 = false;
         int var9;
         if(-1 != this.anInt7537 * 1450493909) {
            Class169 var6 = var1.method53(Class251.aClass251_2983, 1450493909 * this.anInt7537, (byte)9);
            var9 = var2.method50(var6, 2062085121);
         } else {
            if(1498665357 * this.anInt7536 == -1) {
               return true;
            }

            Class295 var10 = var1.method52(1498665357 * this.anInt7536, 1768631048);
            var9 = var2.method49(var10, (byte)2);
         }

         return var9 >= 2107454527 * this.anInt7534 && var9 <= this.anInt7526 * -1284350705;
      } else {
         return false;
      }
   }

   public Class171 method12028(Class545 var1, boolean var2, int var3) {
      int var4 = var2?361460033 * this.anInt7516:this.anInt7513 * 478735571;
      int var5 = var4 | var1.anInt7353 * -1659372711 << 29;
      Class171 var6 = (Class171)this.aClass555_7551.aClass564_7443.method11959((long)var5);
      if(null != var6) {
         return var6;
      } else if(!this.aClass555_7551.aClass253_7442.method4507(var4, 1105960400)) {
         return null;
      } else {
         Class86 var7 = Class152.method2765(this.aClass555_7551.aClass253_7442, var4, 0);
         if(var7 != null) {
            var6 = var1.method11483(var7, true);
            this.aClass555_7551.aClass564_7443.method11958(var6, (long)var5);
         }

         return var6;
      }
   }

   public Class171 method12029(Class545 var1) {
      Class171 var2 = (Class171)this.aClass555_7551.aClass564_7443.method11959((long)(420633111 * this.anInt7529 | 131072 | -1659372711 * var1.anInt7353 << 29));
      if(var2 != null) {
         return var2;
      } else {
         this.aClass555_7551.aClass253_7442.method4507(this.anInt7529 * 420633111, -1599642156);
         Class86 var3 = Class152.method2765(this.aClass555_7551.aClass253_7442, 420633111 * this.anInt7529, 0);
         if(null != var3) {
            var2 = var1.method11483(var3, true);
            this.aClass555_7551.aClass564_7443.method11958(var2, (long)(this.anInt7529 * 420633111 | 131072 | -1659372711 * var1.anInt7353 << 29));
         }

         return var2;
      }
   }

   public int method12030(int var1, int var2, int var3) {
      if(null == this.aClass423_7553) {
         return var2;
      } else {
         IntVar var4 = (IntVar)this.aClass423_7553.method7211((long)var1);
         return var4 == null?var2:var4.integer * 442885445;
      }
   }

   public Class171 method12031(Class545 var1) {
      Class171 var2 = (Class171)this.aClass555_7551.aClass564_7443.method11959((long)(420633111 * this.anInt7529 | 131072 | -1659372711 * var1.anInt7353 << 29));
      if(var2 != null) {
         return var2;
      } else {
         this.aClass555_7551.aClass253_7442.method4507(this.anInt7529 * 420633111, -546039118);
         Class86 var3 = Class152.method2765(this.aClass555_7551.aClass253_7442, 420633111 * this.anInt7529, 0);
         if(null != var3) {
            var2 = var1.method11483(var3, true);
            this.aClass555_7551.aClass564_7443.method11958(var2, (long)(this.anInt7529 * 420633111 | 131072 | -1659372711 * var1.anInt7353 << 29));
         }

         return var2;
      }
   }

   public String method12032(int var1, String var2) {
      if(this.aClass423_7553 == null) {
         return var2;
      } else {
         ObjectVar var3 = (ObjectVar)this.aClass423_7553.method7211((long)var1);
         return var3 == null?var2:(String)var3.object;
      }
   }

   void method12033() {
      if(this.anIntArray7523 != null) {
         for(int var1 = 0; var1 < this.anIntArray7523.length; var1 += 2) {
            if(this.anIntArray7523[var1] < this.anInt7512 * 1643163081) {
               this.anInt7512 = -556991367 * this.anIntArray7523[var1];
            } else if(this.anIntArray7523[var1] > 1153774845 * this.anInt7541) {
               this.anInt7541 = 1972078677 * this.anIntArray7523[var1];
            }

            if(this.anIntArray7523[var1 + 1] < this.anInt7540 * -1306540881) {
               this.anInt7540 = -1392373169 * this.anIntArray7523[1 + var1];
            } else if(this.anIntArray7523[1 + var1] > 447653981 * this.anInt7550) {
               this.anInt7550 = this.anIntArray7523[var1 + 1] * 1623354357;
            }
         }
      }

   }

   void method12034() {
      if(this.anIntArray7523 != null) {
         for(int var1 = 0; var1 < this.anIntArray7523.length; var1 += 2) {
            if(this.anIntArray7523[var1] < this.anInt7512 * 1643163081) {
               this.anInt7512 = -556991367 * this.anIntArray7523[var1];
            } else if(this.anIntArray7523[var1] > 1153774845 * this.anInt7541) {
               this.anInt7541 = 1972078677 * this.anIntArray7523[var1];
            }

            if(this.anIntArray7523[var1 + 1] < this.anInt7540 * -1306540881) {
               this.anInt7540 = -1392373169 * this.anIntArray7523[1 + var1];
            } else if(this.anIntArray7523[1 + var1] > 447653981 * this.anInt7550) {
               this.anInt7550 = this.anIntArray7523[var1 + 1] * 1623354357;
            }
         }
      }

   }

   public Class171 method12035(Class545 var1) {
      Class171 var2 = (Class171)this.aClass555_7551.aClass564_7443.method11959((long)(420633111 * this.anInt7529 | 131072 | -1659372711 * var1.anInt7353 << 29));
      if(var2 != null) {
         return var2;
      } else {
         this.aClass555_7551.aClass253_7442.method4507(this.anInt7529 * 420633111, -1555670010);
         Class86 var3 = Class152.method2765(this.aClass555_7551.aClass253_7442, 420633111 * this.anInt7529, 0);
         if(null != var3) {
            var2 = var1.method11483(var3, true);
            this.aClass555_7551.aClass564_7443.method11958(var2, (long)(this.anInt7529 * 420633111 | 131072 | -1659372711 * var1.anInt7353 << 29));
         }

         return var2;
      }
   }

   public boolean method12036(Interface13 var1, Interface12 var2) {
      int var4;
      if(-1 != this.anInt7533 * 243130297) {
         Class169 var3 = var1.method53(Class251.aClass251_2983, this.anInt7533 * 243130297, (byte)13);
         var4 = var2.method50(var3, 915922136);
      } else {
         if(-1 == this.anInt7535 * 1726288833) {
            return true;
         }

         Class295 var6 = var1.method52(1726288833 * this.anInt7535, 1772345769);
         var4 = var2.method49(var6, (byte)-55);
      }

      if(var4 >= this.anInt7530 * -769278965 && var4 <= -1106040965 * this.anInt7531) {
         boolean var7 = false;
         int var8;
         if(-1 != this.anInt7537 * 1450493909) {
            Class169 var5 = var1.method53(Class251.aClass251_2983, 1450493909 * this.anInt7537, (byte)-119);
            var8 = var2.method50(var5, 325080262);
         } else {
            if(1498665357 * this.anInt7536 == -1) {
               return true;
            }

            Class295 var9 = var1.method52(1498665357 * this.anInt7536, 2126472371);
            var8 = var2.method49(var9, (byte)15);
         }

         return var8 >= 2107454527 * this.anInt7534 && var8 <= this.anInt7526 * -1284350705;
      } else {
         return false;
      }
   }

   public Class171 method12037(Class545 var1, boolean var2) {
      int var3 = var2?361460033 * this.anInt7516:this.anInt7513 * 478735571;
      int var4 = var3 | var1.anInt7353 * -1659372711 << 29;
      Class171 var5 = (Class171)this.aClass555_7551.aClass564_7443.method11959((long)var4);
      if(null != var5) {
         return var5;
      } else if(!this.aClass555_7551.aClass253_7442.method4507(var3, 878964705)) {
         return null;
      } else {
         Class86 var6 = Class152.method2765(this.aClass555_7551.aClass253_7442, var3, 0);
         if(var6 != null) {
            var5 = var1.method11483(var6, true);
            this.aClass555_7551.aClass564_7443.method11958(var5, (long)var4);
         }

         return var5;
      }
   }

   public Class171 method12038(Class545 var1) {
      Class171 var2 = (Class171)this.aClass555_7551.aClass564_7443.method11959((long)(420633111 * this.anInt7529 | 131072 | -1659372711 * var1.anInt7353 << 29));
      if(var2 != null) {
         return var2;
      } else {
         this.aClass555_7551.aClass253_7442.method4507(this.anInt7529 * 420633111, -995476275);
         Class86 var3 = Class152.method2765(this.aClass555_7551.aClass253_7442, 420633111 * this.anInt7529, 0);
         if(null != var3) {
            var2 = var1.method11483(var3, true);
            this.aClass555_7551.aClass564_7443.method11958(var2, (long)(this.anInt7529 * 420633111 | 131072 | -1659372711 * var1.anInt7353 << 29));
         }

         return var2;
      }
   }

   public String method12039(int var1, String var2, int var3) {
      if(this.aClass423_7553 == null) {
         return var2;
      } else {
         ObjectVar var4 = (ObjectVar)this.aClass423_7553.method7211((long)var1);
         return var4 == null?var2:(String)var4.object;
      }
   }

   void method12040(RS2Buffer var1) {
      while(true) {
         int var2 = var1.readUnsignedByte(-700559597);
         if(0 == var2) {
            return;
         }

         this.method12025(var1, var2, 1332731483);
      }
   }

   public int method12041(int var1, int var2) {
      if(null == this.aClass423_7553) {
         return var2;
      } else {
         IntVar var3 = (IntVar)this.aClass423_7553.method7211((long)var1);
         return var3 == null?var2:var3.integer * 442885445;
      }
   }

   public int method12042(int var1, int var2) {
      if(null == this.aClass423_7553) {
         return var2;
      } else {
         IntVar var3 = (IntVar)this.aClass423_7553.method7211((long)var1);
         return var3 == null?var2:var3.integer * 442885445;
      }
   }

   public Class171 method12043(Class545 var1) {
      Class171 var2 = (Class171)this.aClass555_7551.aClass564_7443.method11959((long)(420633111 * this.anInt7529 | 131072 | -1659372711 * var1.anInt7353 << 29));
      if(var2 != null) {
         return var2;
      } else {
         this.aClass555_7551.aClass253_7442.method4507(this.anInt7529 * 420633111, 1586133543);
         Class86 var3 = Class152.method2765(this.aClass555_7551.aClass253_7442, 420633111 * this.anInt7529, 0);
         if(null != var3) {
            var2 = var1.method11483(var3, true);
            this.aClass555_7551.aClass564_7443.method11958(var2, (long)(this.anInt7529 * 420633111 | 131072 | -1659372711 * var1.anInt7353 << 29));
         }

         return var2;
      }
   }

   public Class171 method12044(Class545 var1, int var2) {
      Class171 var3 = (Class171)this.aClass555_7551.aClass564_7443.method11959((long)(420633111 * this.anInt7529 | 131072 | -1659372711 * var1.anInt7353 << 29));
      if(var3 != null) {
         return var3;
      } else {
         this.aClass555_7551.aClass253_7442.method4507(this.anInt7529 * 420633111, 1741420511);
         Class86 var4 = Class152.method2765(this.aClass555_7551.aClass253_7442, 420633111 * this.anInt7529, 0);
         if(null != var4) {
            var3 = var1.method11483(var4, true);
            this.aClass555_7551.aClass564_7443.method11958(var3, (long)(this.anInt7529 * 420633111 | 131072 | -1659372711 * var1.anInt7353 << 29));
         }

         return var3;
      }
   }

   public int method12045(int var1, int var2) {
      if(null == this.aClass423_7553) {
         return var2;
      } else {
         IntVar var3 = (IntVar)this.aClass423_7553.method7211((long)var1);
         return var3 == null?var2:var3.integer * 442885445;
      }
   }

   static final void method12046(Class508 var0, byte var1) {
      var0.anObjectArray6004[(var0.anInt6005 += -46848683) * 639741949 - 1] = Class100.method1981((long)var0.anIntArray6027[(var0.anInt6003 -= 98312473) * -937710807] * 60000L, Class498.aClass470_5944.method89((byte)0), true, 1313984943) + " UTC";
   }

   static final void method12047(Class508 var0, int var1) {
      int var2 = var0.anIntArray6027[(var0.anInt6003 -= 98312473) * -937710807];
      if(null != Class215_Sub1.aClass423_8340) {
         Class225 var3 = Class215_Sub1.aClass423_8340.method7211((long)var2);
         var0.anIntArray6027[(var0.anInt6003 += 98312473) * -937710807 - 1] = var3 != null?1:0;
      } else {
         var0.anIntArray6027[(var0.anInt6003 += 98312473) * -937710807 - 1] = 0;
      }

   }

   static final void method12048(Class508 var0, int var1) {
      var0.anInt6003 -= 294937419;
      int var2 = var0.anIntArray6027[var0.anInt6003 * -937710807];
      int var3 = var0.anIntArray6027[var0.anInt6003 * -937710807 + 1];
      int var4 = var0.anIntArray6027[2 + -937710807 * var0.anInt6003];
      long var5 = Class577.method12227(0, 0, 12, var2, var3, var4, 2064713598);
      int var7 = Class108.method2178(var5);
      if(var4 < 1970) {
         if(var1 != 2125995389) {
            ;
         }

         --var7;
      }

      var0.anIntArray6027[(var0.anInt6003 += 98312473) * -937710807 - 1] = var7;
   }

   static final boolean method12049(char var0, int var1) {
      if(Character.isISOControl(var0)) {
         return false;
      } else if(Class94.method1843(var0, (byte)0)) {
         return true;
      } else {
         char[] var2 = Class399.aCharArray4905;

         int var3;
         char var4;
         for(var3 = 0; var3 < var2.length; ++var3) {
            var4 = var2[var3];
            if(var4 == var0) {
               return true;
            }
         }

         var2 = Class399.aCharArray4903;

         for(var3 = 0; var3 < var2.length; ++var3) {
            var4 = var2[var3];
            if(var4 == var0) {
               return true;
            }
         }

         return false;
      }
   }

   static final void method12050(Class508 var0, int var1) {
      Class505 var10000;
      if(var0.aBool6014) {
         if(var1 >= -1504502768) {
            ;
         }

         var10000 = var0.aClass505_6011;
      } else {
         var10000 = var0.aClass505_6010;
      }

      Class505 var2 = var10000;
      Class124 var3 = var2.aClass124_5977;
      var0.anIntArray6027[(var0.anInt6003 += 98312473) * -937710807 - 1] = 814553415 * var3.anInt1398;
   }

   static boolean method12051(PacketBuffer var0, int var1, int var2) {
      int var3 = var0.readBits(2, 474686958);
      int var4;
      int var5;
      int var9;
      int var10;
      int var11;
      if(var3 == 0) {
         if(var0.readBits(1, 1425829945) != 0) {
            method12051(var0, var1, -1496703484);
         }

         var4 = var0.readBits(6, 1662952058);
         var5 = var0.readBits(6, 1555380179);
         boolean var16 = var0.readBits(1, 531429046) == 1;
         if(var16) {
            Class184.anIntArray2215[(Class184.anInt2214 += 1543391687) * -1203066889 - 1] = var1;
         }

         if(null != client.aClass515_Sub1_Sub4_Sub4_Sub1Array7799[var1]) {
            throw new RuntimeException();
         } else {
            Class19 var17 = Class184.aClass19Array2206[var1];
            Class515_Sub1_Sub4_Sub4_Sub1 var18 = client.aClass515_Sub1_Sub4_Sub4_Sub1Array7799[var1] = new Class515_Sub1_Sub4_Sub4_Sub1(client.aClass279_7807.method4917(-2045526760));
            var18.anInt10729 = var1 * -1429120305;
            if(Class184.aClass225_Sub23Array2208[var1] != null) {
               var18.method16788(Class184.aClass225_Sub23Array2208[var1], (byte)15);
            }

            var18.method16628(447748375 * var17.anInt190, true, -1751048043);
            var18.anInt10749 = var17.anInt193 * 522429631;
            var9 = 1859379425 * var17.anInt191;
            var10 = var9 >> 28;
            var11 = var9 >> 14 & 255;
            int var12 = var9 & 255;
            Class548 var13 = client.aClass279_7807.method4909(736651144);
            int var14 = var4 + (var11 << 6) - var13.anInt7419 * -843659437;
            int var15 = var5 + (var12 << 6) - -1518942839 * var13.anInt7420;
            var18.aBool10869 = var17.aBool192;
            var18.aBool10883 = var17.aBool189;
            var18.aByteArray10763[0] = Class184.aByteArray2207[var1];
            var18.aByte8443 = var18.aByte8444 = (byte)var10;
            if(client.aClass279_7807.method5026(-409684990).method4600(var14, var15, 1550146108)) {
               ++var18.aByte8444;
            }

            var18.method16791(var14, var15, (byte)0);
            var18.aBool10878 = false;
            Class184.aClass19Array2206[var1] = null;
            return true;
         }
      } else if(1 == var3) {
         var4 = var0.readBits(2, 1109718907);
         var5 = 1859379425 * Class184.aClass19Array2206[var1].anInt191;
         Class184.aClass19Array2206[var1].anInt191 = 685335329 * ((var5 & 268435455) + ((var4 + (var5 >> 28) & 3) << 28));
         return false;
      } else {
         int var6;
         int var7;
         int var8;
         if(2 == var3) {
            var4 = var0.readBits(5, 1947639236);
            var5 = var4 >> 3;
            var6 = var4 & 7;
            var7 = Class184.aClass19Array2206[var1].anInt191 * 1859379425;
            var8 = var5 + (var7 >> 28) & 3;
            var9 = var7 >> 14 & 255;
            var10 = var7 & 255;
            if(var6 == 0) {
               --var9;
               --var10;
            }

            if(var6 == 1) {
               --var10;
            }

            if(var6 == 2) {
               ++var9;
               --var10;
            }

            if(var6 == 3) {
               --var9;
            }

            if(4 == var6) {
               ++var9;
            }

            if(var6 == 5) {
               --var9;
               ++var10;
            }

            if(6 == var6) {
               ++var10;
            }

            if(7 == var6) {
               ++var9;
               ++var10;
            }

            Class184.aClass19Array2206[var1].anInt191 = 685335329 * (var10 + (var8 << 28) + (var9 << 14));
            return false;
         } else {
            var4 = var0.readBits(18, 523085350);
            var5 = var4 >> 16;
            var6 = var4 >> 8 & 255;
            var7 = var4 & 255;
            var8 = 1859379425 * Class184.aClass19Array2206[var1].anInt191;
            var9 = (var8 >> 28) + var5 & 3;
            var10 = var6 + (var8 >> 14) & 255;
            var11 = var7 + var8 & 255;
            Class184.aClass19Array2206[var1].anInt191 = 685335329 * ((var9 << 28) + (var10 << 14) + var11);
            return false;
         }
      }
   }

   static void method12052(String[] var0, short[] var1, int var2, int var3, byte var4) {
      if(var2 < var3) {
         int var5 = (var2 + var3) / 2;
         int var6 = var2;
         String var7 = var0[var5];
         var0[var5] = var0[var3];
         var0[var3] = var7;
         short var8 = var1[var5];
         var1[var5] = var1[var3];
         var1[var3] = var8;

         for(int var9 = var2; var9 < var3; ++var9) {
            if(var7 == null || var0[var9] != null && var0[var9].compareTo(var7) < (var9 & 1)) {
               String var10 = var0[var9];
               var0[var9] = var0[var6];
               var0[var6] = var10;
               short var11 = var1[var9];
               var1[var9] = var1[var6];
               var1[var6++] = var11;
            }
         }

         var0[var3] = var0[var6];
         var0[var6] = var7;
         var1[var3] = var1[var6];
         var1[var6] = var8;
         method12052(var0, var1, var2, var6 - 1, (byte)0);
         method12052(var0, var1, var6 + 1, var3, (byte)0);
      }

   }

   static final void method12053(short var0) {
      Iterator var1 = client.aClass423_7819.iterator();

      while(var1.hasNext()) {
         Class225_Sub14_Sub9 var2 = (Class225_Sub14_Sub9)var1.next();
         Class515_Sub1_Sub4_Sub3 var3 = var2.aClass515_Sub1_Sub4_Sub3_10507;
         var3.method16557(1, 1521242771);
         if(var3.method16559((byte)-118)) {
            var2.method3857(-758548089);
            var3.method16561((byte)-109);
         }
      }

   }
}
